﻿using System;
using GalaSoft.MvvmLight;
using C1.WPF.FlexReport;

namespace LBAdmin.ViewModel
{
    public class LogViewerViewModel : ViewModelBase, LBControls.ViewModel.IPageViewModel
    {
        public C1FlexReport Report { get; set; }

        public string Name { get { return "LogViewerViewModel"; } }
        public bool IsDirty { get { return false; } set { } }
        public bool DisableNavigation { get; set; }


        public LogViewerViewModel()
        {
            C1FlexReport FlexReport = new C1FlexReport();
            string logSource = LBBus500.ctEventLog.ClientSource;
            string Where = $"\r\n\tWhere Source = '{logSource}'";
            FlexReport.Load("C:\\Projects\\ListBill\\V5\\Development\\Argon\\LBAdmin\\AdminReports\\LogViewer.flxr", "ctListBill Event Log");
            DateTime _fromDate = new DateTime(2016, 12, 1, 00, 00, 00);
            DateTime _endDate = new DateTime(2017, 12, 31, 23, 59, 59);
            string[] _logSource = { "ctListBill.System", "ctListBill.Client", "ctListbill.AdminToolkit", "ctListBill.DataTransfer", "ctListBill.ePay" };
            string[] _eventType = { "Information", "ResourceNotFound", "TaskStart", "TaskFinish", "SpecificationError", "OperatorCancel", "Error" };
            int[] _eventCodes = { 0, 1 };
            ReportParameter _parmFromDate = FlexReport.Parameters["FromDate"];
            ReportParameter _parmEndDate = FlexReport.Parameters["EndDate"];
            ReportParameter _parmLogSource = FlexReport.Parameters["LogSource"];
            ReportParameter _parmEventCode = FlexReport.Parameters["EventCodes"];
            ReportParameter _parmEventType = FlexReport.Parameters["EventTypes"];

            _parmFromDate.Value = _fromDate;
            _parmEndDate.Value = _endDate;
            _parmLogSource.Value = _logSource;
            _parmEventCode.Value = _eventCodes;
            _parmEventType.Value = _eventType;

            Report = FlexReport;
;        }

    }
}
